Package uk.ac.starlink.auth

# Interface IvoaAuthScheme.AuthReader<T>

Enclosing class:
  IvoaAuthScheme

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface IvoaAuthScheme.AuthReader<T>
Knows how to acquire specific authentication information from an open URL connection.

## Method Summary

Modifier and Type
Method
Description
`T`
`readAuth(HttpURLConnection conn)`
Reads an item of information from an open URL connection.

## Method Details

### readAuth

T readAuth(HttpURLConnection conn) throws IOException
Reads an item of information from an open URL connection.

Parameters:
  `conn` - connection
Returns:
  authentication information
Throws:
  `IOException`